Package org.eclipse.remote.core.exception

## Class RemoteConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.remote.core.exception.RemoteConnectionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AddressInUseException`, `ConnectionExistsException`, `PrivilegedPortException`, `UnableToForwardPortException`

    public class RemoteConnectionException
    extends org.eclipse.core.runtime.CoreException

Exception thrown when a remote connection error occurs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RemoteConnectionException​(String message)`
`RemoteConnectionException​(String message, Throwable cause)`
`RemoteConnectionException​(Throwable cause)`

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteConnectionException

    public RemoteConnectionException​(String message,
                                     Throwable cause)

Parameters:
  `message` -
  `cause` -

#### RemoteConnectionException

    public RemoteConnectionException​(String message)

Parameters:
  `message` -

#### RemoteConnectionException

    public RemoteConnectionException​(Throwable cause)

Parameters:
  `cause` -